{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Launch development/debug:mocks",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_development.dart",
            "args": [
                "--dart-define=dev_mode=mock",
                "--target",
                "lib/main_development.dart"
            ],
            "flutterMode": "debug"
        },
        {
            "name": "Launch development/debug:emulator",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_development.dart",
            "args": [
                "--dart-define=dev_mode=emulator",
                "--target",
                "lib/main_development.dart"
            ],
            "flutterMode": "debug"
        },
        {
            "name": "Launch development/debug:real",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_development.dart",
            "args": [
                "--dart-define=dev_mode=real",
                "--target",
                "lib/main_development.dart"
            ],
            "flutterMode": "debug"
        },
        {
            "name": "Launch staging/debug",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_staging.dart",
            "args": [
                "--target",
                "lib/main_staging.dart"
            ],
            "flutterMode": "debug"
        },
        {
            "name": "Launch production/debug",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_production.dart",
            "args": [
                "--target",
                "lib/main_production.dart"
            ],
            "flutterMode": "debug"
        },
        {
            "name": "Launch production/release",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_production.dart",
            "args": [
                "--target",
                "lib/main_production.dart"
            ],
            "flutterMode": "release"
        },
    ]
}